vdr (2.4.7-1) unstable; urgency=medium

  * Update debian/watch to point to git web interface tag downloads
  * New upstream version 2.4.7
  * Update patches - configurable-pkg-config.patch and glibc-stime.patch are
    fixed upstream
  * Fix FTBS with GCC-11 by backporting fixes from upstreams development branch
    (Closes: #984382)
  * Standards-Version: 4.6.0
  * Change debconf translations (cs and sv) to UTF-8
  * Rename debian/TODO.Debian to debian/TODO

 -- Tobias Grimm <etobi@debian.org>  Sun, 05 Dec 2021 20:49:58 +0100

vdr (2.4.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch to replace the obsolete stime function (removed in glibc 2.31)
    by clock_settime. (Closes: #964220)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Jul 2020 19:22:51 +0200

vdr (2.4.1-4) unstable; urgency=medium

  * Dropped python build dependency - not actually used in build
    (Closes: #938772)
  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 13:11:11 +0100

vdr (2.4.1-3) unstable; urgency=medium

  * Remove trailing whitespace in changelog
  * Switched to debhelper compat 12
  * Changed short description of vdr-dev
  * Updated lintian overrides
  * Added missing ${misc:PreDepends}
  * Removed dbgsym-migration
  * Added hint about how to get initial channels.conf in README.Debian
    (Closes: #859537)

 -- Tobias Grimm <etobi@debian.org>  Mon, 26 Aug 2019 12:15:12 +0200

vdr (2.4.1-2) unstable; urgency=medium

  * Fixed cross-build issue by using buildtools.mk
  * Standards-Version: 4.4.0
  * Enabled verbose build output
  * Use CPPFLAGS to allow hardening options to be set
  * Made pkg-config configurable in Makefiles to allow cross-builds

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Jul 2019 14:42:35 +0200

vdr (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * Updated plugin ABI version

 -- Tobias Grimm <etobi@debian.org>  Tue, 16 Jul 2019 09:52:27 +0200

vdr (2.4.0-2) unstable; urgency=medium

  * Made systemd service depend on 'systemd-udev-settle' because VDR does not
    cope with dynamic device configurations and requires the DVB devices to be
    available at startup (Closes: #928358, #928357)
  * Dropped custom compression setting in debian/source/options
  * Moved dpkg-maintscript-helper calls to vdr.maintscript
  * Standards-Version: 4.3.0
  * Set vdr-dev to 'Multi-Arch: same'

 -- Tobias Grimm <etobi@debian.org>  Sun, 05 May 2019 15:24:26 +0200

vdr (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Install vdr.pc pkg-config file into multiarch directory
  * Don't recursively chown /var/lib/video

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 18:47:21 +0200

vdr (2.3.8-2) unstable; urgency=medium

  [ Malte Forkel ]
  * Support different upstream tarball naming schemes in debianize-vdr-plugin
    script (Closes: #874676)

  [ Rui Branco ]
  * Updated Portuguese debconf translation (Closes: #873522)

  [ Tobias Grimm ]
  * Log an error message when skincures can't initialize the screen
    (Closes: #877032)
  * Standards-Version: 4.1.2
  * Priority: optional
  * Don't set standard SVDRP port to 0
  * Droppes systemd.patch - fixed upstream
  * VCS moved to salsa.debian.org

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Feb 2018 00:21:34 +0100

vdr (2.3.8-1) unstable; urgency=medium

  [ Tobias Grimm ]
  * New upstream release (Closes: #853698)

  [ Helmut Grohne ]
  * Switch vdr-dev to Architecture: any (closes: #853958)

 -- Tobias Grimm <etobi@debian.org>  Mon, 14 Aug 2017 20:57:41 +0200

vdr (2.3.7-1) unstable; urgency=medium

  * New upstream development release
  * Updated patches
  * Dropped rcu plugin from vdr-plugins-examples - this plugin is not shipped
    with the upstream VDR sources anymore
  * Dropped vdr-plugin-dvbhddevice and vdr-plugin-dvbsddevice plugin - these
    plugins are not shipped with the upstream VDR sources anymore and will be
    provided in new separate source packages
  * Made vdr depend on lsb-base (>= 3.0-6), which is required by the init script
  * Dropped vdr-dbg - migration to automatically created debug symbol package

 -- Tobias Grimm <etobi@debian.org>  Sat, 24 Jun 2017 19:27:43 +0200

vdr (2.2.0-6) unstable; urgency=medium

  * Added Brazilian Portuguese translations for debconf provided by
    Adriano Rafael Gomes (closes: #811514)
  * Fixed spelling error in README.Debian
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Mon, 06 Jun 2016 19:04:35 +0200

vdr (2.2.0-5) unstable; urgency=medium

  * Fixed typo in vdr.NEWS
  * Fixed typo in systemd service causing the reccmds merging to fail

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Nov 2015 20:49:01 +0100

vdr (2.2.0-4) unstable; urgency=medium

  * Fixed installation of auto generated plugin config to happen before
    dh_fixperms

 -- Tobias Grimm <etobi@debian.org>  Tue, 06 Oct 2015 23:25:03 +0200

vdr (2.2.0-3) unstable; urgency=medium

  * Build-depend on libsystemd-dev
  * Force sorting of files in dh_vdrplugin_enable to get a reproducible build
  * Mark the plugin packages as enhancements to the vdr package

 -- Tobias Grimm <etobi@debian.org>  Mon, 05 Oct 2015 21:36:30 +0200

vdr (2.2.0-2) unstable; urgency=medium

  * Use debhelper addon for dvb(sd|hd)device plugins

 -- Tobias Grimm <etobi@debian.org>  Wed, 23 Sep 2015 22:17:04 +0200

vdr (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * Dropped upgrade code for pre-Squeeze releases
  * Default video directory is now /var/lib/video because multiple video
    directories are not supported anymore
  * When LIRC is set to an empty string, disable LIRC. By default use
    /var/run/lirc/lircd
  * Updated copyright
  * Arguments for vdr are now read from /etc/vdr/conf.d/
  * Plugins must provide a config, which may cointain plugin arguments, in
    /etc/vdr/conf.d/ in order to be loaded
  * Install a debhelper addon in vdr-dev which supports the plugin packaging
  * Delete /etc/vdr/conf.d on purge
  * Removed the VDR_CHARSET_OVERRIDE from /etc/default/vdr - replaced with the
   --chartab command line argument
  * Removed dvb-modules reloading code (Closes: #512362)
  * Added bash completion for svdrpesend (taken from yaVDR / Lars Hanisch)
  * Added systemd support
  * Removed ENABLED setting from /etc/default/vdr - the vdr daemon is now
    enabled by default and might be disabled manuall via update-rc.d / systemctl
  * Removed bashism from merge-commands.conf (Closes: #799483)

 -- Tobias Grimm <etobi@debian.org>  Mon, 21 Sep 2015 21:45:53 +0200

vdr (2.0.6-2) unstable; urgency=medium

  * Merged from Jessie-version 2.0.3-3: Fixed use of getent in postinst script
    for detecting existing vdr user and group (Closes: #770773)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Mon, 08 Dec 2014 22:48:55 +0100

vdr (2.0.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 3.9.5
  * Source /lib/lsb/init-functions in init script
  * Replaced ttf-freefont by fonts-freefont-ttf (Closes: #738254)

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 12:01:40 +0100

vdr (2.0.3-3) testing; urgency=medium

  * Fixed use of getent in postinst script for detecting existing vdr user and
    group (Closes: #770773)

 -- Tobias Grimm <etobi@debian.org>  Mon, 08 Dec 2014 00:20:19 +0100

vdr (2.0.3-2) unstable; urgency=medium

  * Fix "unhandled symlink to directory conversion of vdr-dbg (Closes: #736297)

 -- Tobias Grimm <etobi@debian.org>  Mon, 31 Mar 2014 22:57:52 +0200

vdr (2.0.3-1) unstable; urgency=low

  * New upstream release
  * Install sample channels.conf's to /usr/share/vdr/examples/ (Closes: #709749)

 -- Tobias Grimm <etobi@debian.org>  Wed, 04 Sep 2013 13:53:51 +0200

vdr (2.0.2-1) unstable; urgency=low

  * New upstream release
  * vdr-plugin-dvbhddevice and vdr-plugin-examples Replaces/Breaks
    vdr << 2.0.1-1 - manpages have been moved from vdr into the plugin
    packages  (Closes: #709152)

 -- Tobias Grimm <etobi@debian.org>  Sat, 25 May 2013 09:12:01 +0200

vdr (2.0.1-2) unstable; urgency=low

  * Added new LIRC option to /etc/default/vdr to allow to change the lirc path
    or to disable lirc by setting it to /dev/null (Closes: #708683)

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 May 2013 11:57:39 +0200

vdr (2.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #707413)
  * Added new config option ENABLE_CORE_DUMPS in /etc/default/vdr
  * Append CPPFLAGS to CFLAGS, so this gets stored in vdr.pc
    and can be used by plugins
  * Simplified the commands loader and dropped the ordering via
    order.reccmds.conf / order.commands.conf
  * Fixed collection of patch info to work with quilt patches
  * Standards-Version: 3.9.4
  * Removed bugging message if shutdown is disabled (which is the default)
  * Improved plugin loading now allows one to explicitly load specific plugins
    after all other plugins (based on suggestions by Lars Hanisch from yaVDR)
  * Use `svdrpsend updr` to update recordings from the OSD command menu in order
    to be independent of the video directory location
    (suggested by Frank Neumann from yaVDR)
  * Dropped 11_sortrecordings.patch - The recording list sorting now is as it is
    meant to be sortded by the upstream developer
  * Dropped fix-gcc-issue.patch - fixed upstream
  * Dropped fix-no-hddvbdevice-segfault.patch - fixed upstream
  * Refreshed all patches
  * Dropped Added 16_channels.conf.terr-fix.patch - fixed upstream
  * Switch to debhelper/compat 9
  * Make use of dh and VDR's install target to simplify debian/rules
  * Clean up /var/lib/vdr/themes when purging package
  * vdr-dbg and vdr-plugin-*-dbg now install the debug symbols

 -- Tobias Grimm <etobi@debian.org>  Sat, 11 May 2013 22:45:58 +0200

vdr (1.7.28-1) unstable; urgency=low

  * New upstream release
  * Removed fontconfig_fontsort.patch - fixed upstream
  * Updated documentation about the originial recording now passed as 3'rd
    argument to the "edited" action of the recording hooks
  * Fixed passing parameters to recording hooks
  * Added fix-no-hddvbdevice-segfault.patch to avoid a segfault when the
    dvbhddevice plugin is installed but no full featured HD DVB card is
    available (Closes: #674441)

 -- Tobias Grimm <etobi@debian.org>  Wed, 06 Jun 2012 17:57:29 +0200

vdr (1.7.27-2) unstable; urgency=low

  * Fixed issue with fontconfig 2.9 (Closes: #671223)

 -- Tobias Grimm <etobi@debian.org>  Thu, 03 May 2012 19:33:19 +0200

vdr (1.7.27-1) unstable; urgency=low

  * New upstream release
  * Dropped 17_epg_channel_name_width.patch - fixed upstream
  * Fixed removing user vdr from groups in vdr-groups.sh
  * Fix bashism in vdr-groups.sh (Closes: #669937)

 -- Tobias Grimm <etobi@debian.org>  Sun, 22 Apr 2012 11:11:05 +0200

vdr (1.7.26-1) unstable; urgency=low

  * New upstream release (Closes: #659646)
  * Dropped Added 01-upstream-fix1.patch
  * Dropped Added 02-upstream-fix2.patch
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Mar 2012 10:37:07 +0100

vdr (1.7.24-1) unstable; urgency=low

  * New upstream release
  * Added 01-upstream-fix1.patch - a minor patch from Klaus Schmidinger
  * Added 02-upstream-fix2.patch - reverts some problematic changes in the
    upstream release
  * Install scr.conf (Satellite Channel Routing) to /etc/vdr/ (Closes: #660729)
  * Updated debianize-vdrplugin to use the debhelper V7 format

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Feb 2012 17:21:08 +0100

vdr (1.7.23-1) unstable; urgency=low

  * New upstream release
  * Build-depend on linux-libc-dev (>= 3.0) (DVB driver API >= 5.3 required
    now, which was introduced in Linux 3.0-rc!)

  [Darren Salt]
  * 17_epg_channel_name_width.patch
    Show more of the channel names in the EPG now/next listings.
    Without this, I see 'BBC ON', BBC TW', 'ITV1', 'Channe', 'Channe' etc.
  * Enabled parallel build.

 -- Tobias Grimm <etobi@debian.org>  Wed, 25 Jan 2012 00:37:52 +0000

vdr (1.7.22-1) unstable; urgency=low

  * New upstream release
  * Dropped 99_dvbc-unitiymedia-fix.dpatch - fixed upstream
  * Dropped multipatch patches - these are available in the etobi-branch
    of the Git repository
  * Dropped dpatch and use quilt for the patches - no PATCHVARIANT support
    anymore! To build VDR with a different set of patches, grab the
    appropriate branch from the Git.
  * Added build-arch, build-indep targets
  * Added installation of the dvbhddevice plugin

 -- Tobias Grimm <etobi@debian.org>  Sat, 10 Dec 2011 21:51:31 +0100

vdr (1.7.21-1) unstable; urgency=low

  * Dropped 99_fix-recording-problem-vdr-1.7.20.dpatch
  * Upgraded opt-20_liemikuutio.dpatch to version 1.31
  * Updated opt-24_jumpplay.dpatch
  * Dropped opt-27_ttxtsubs.dpatch
  * Dropped opt-48-x_pin.dpatch
  * Dropped opt-51_cuttime.dpatch
  * Dropped opt-52_hard_link_cutter.dpatch
  * New ABI version for 1.7.21
  * chown +r on /proc/av7110_ir and /proc/budget_ci_ir
  * Added 99_dvbc-unitiymedia-fix.dpatch

 -- Tobias Grimm <etobi@debian.org>  Wed, 26 Oct 2011 00:10:58 +0200

vdr (1.7.20-1) unstable; urgency=low

  * New upstream release
  * Added 99_fix-recording-problem-vdr-1.7.20.dpatch
  * Build-depend on libjpeg-dev instead of libjpeg62-dev
  * Updated multipatch patches (Not used for Debian build)

 -- Tobias Grimm <etobi@debian.org>  Fri, 19 Aug 2011 23:16:41 +0200

vdr (1.7.19-1) unstable; urgency=low

  * New upstream release
  * Dropped 99_gcc4.6-fix.dpatch (fixed upstream)

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Jun 2011 18:55:51 +0200

vdr (1.7.18-2) unstable; urgency=low

  * Added 99_gcc4.6-fix.dpatch to fix GCC 4.6 issue in skincurses plugin
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Fri, 13 May 2011 07:34:28 +0200

vdr (1.7.18-1) unstable; urgency=low

  * New upstream release
  * Dropped dvb-s2api-liplianin-headers dependency from vdr-dev
  * Disabled dvbhddevice until the driver from
    http://powarman.dyndns.org/hg/v4l-dvb-saa716x/ gets merged into the
    kernel
  * Dropped 99_vdr-workaround-broken-sys-capability.dpatch
  * Use 3.0 source formate and bz2 tarballs
  * Fixed spelling error in vdr.NEWS
  * Replaced "dh_clean -k" by "dh_prep"

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 17:39:15 +0200

vdr (1.7.17-1) unstable; urgency=low

  [ Thomas Günther, Tobias Grimm ]
  * Updated to the latest upstream development version release 1.7.17
    (Closes: #573896, #621924)
  * Updated/Removed debian/patches/*
  * Setting default SVDRP port to 6419 (this was already changed by upstrem)
  * Added BIDI define to 81_Make_config.dpatch
  * Added libfribidi-dev to Build-Depends
  * Added Make.global to vdr-dev.install and 81_Make_config.dpatch
  * Removed BUILDVDR define
  * Added include links via debian/vdr-dev.links to make the include structure
    compatible to vdr standards
  * Removed 03_cmdsubmenu.dpatch (command submenus now integrated in upstream)
  * Removed installation of the sky plugin
  * Added installation of the dvbsddevice plugin
  * Suggest vdr-plugin-dvbsddevice
  * Added NEWS entry about vdr-plugin-dvbsddevice and a probably required
    modified firmware
  * Updated README.Debian
  * Made sure po files are unmodified after clean (Closes: #593925)

  [ Thomas Schmidt ]
  * Update Vcs-* fields: Move packaging from svn to git
  * Fixed some lintian warnings

  [ Tobias Grimm ]
  * Removed vdr-kbd, vdr-daemon, vdr-lirc and vdr-rcu - /usr/bin/vdr should be
    used instead
  * Dropped conflicts to vdradmin
  * Dropped moving of channels.conf from /etc/vdr/ to /var/lib/vdr/
  * Dropped marks reloading from jumpplay patch (Patch modified by Udo Richter)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Apr 2011 12:56:07 +0200

vdr (1.6.0-19.1) unstable; urgency=low

  * debian/vdrleaktest
    - Remove extra colon from LD_LIBRARY_PATH to fix CVE-2010-3387.
      (normal, security; Closes: #598308).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Oct 2010 09:18:54 +0300

vdr (1.6.0-19) unstable; urgency=low

  * Fixed DEB_BUILD_OPTIONS export in in vdrdbg-buildpackage
    (Closes: #596593)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Oct 2010 11:27:55 +0200

vdr (1.6.0-18.1) unstable; urgency=low

  * debian/vdrleaktest
    - Asjust LD_LIBRARY_PATH use according to CVE-2010-3387.
      (normal, security; Closes: #598308).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 16 Oct 2010 20:59:56 +0300

vdr (1.6.0-18) unstable; urgency=low

  * Added Danish translation of the debconf templates (Thx to Joe Hansen)
    (Closes: #592260)
  * Minor fix to options parsing in debug version start script
  * Standards-Version: 3.9.1

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Aug 2010 00:07:33 +0200

vdr (1.6.0-17) unstable; urgency=low

  * Modified runvdr to also (re)load dvb modules not depending on dvb_core*
    (Closes: #576337)
  * Added debian/source/format 1.0

 -- Tobias Grimm <etobi@debian.org>  Fri, 30 Apr 2010 22:43:50 +0200

vdr (1.6.0-16) unstable; urgency=low

  [ Thomas Günther ]
  * Added opt-22-x_edit_marks.dpatch
  * Adapted opt-48-x_pin.dpatch to vdr-workaround-broken-sys-capability patch
  * Updated opt-52_hard_link_cutter.dpatch to version 0.2.2
    (fixes gcc 4.4 issue)
  * Added -p to bash shebang line of init script, because this is needed,
    if VDR calls the init script itself via a suid wrapper
  * Added linux-libc-dev to Depends of package vdr-dev (linux/dvb/*.h included
    in header files, e.g. device.h)

  [ Tobias Grimm ]
  * Moved /usr/include/vdr/libsi to /usr/include/libsi to make the include
    structure compatible to vdr standards

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 14:50:33 +0200

vdr (1.6.0-15) unstable; urgency=low

  * Standards-Version: 3.8.4
  * Made init script require $remote_fs (/usr/...)
  * Migrated debconf _Choices to __Choices

 -- Tobias Grimm <etobi@debian.org>  Thu, 04 Mar 2010 23:28:37 +0100

vdr (1.6.0-14) unstable; urgency=low

  [ Thomas Günther ]
  * Removed 99_dvb-header-fixes.dpatch
  * Added 99_vdr-workaround-broken-sys-capability.dpatch

  [ Tobias Grimm ]
  * Added Japanese debconf translation (Closes: #555546)

 -- Tobias Grimm <etobi@debian.org>  Fri, 15 Jan 2010 00:13:07 +0100

vdr (1.6.0-13) unstable; urgency=low

  * New upstream homepage http://www.tvdr.de/
  * Removed make-special-vdr.sh (Closes: #552638)
  * Added README.source

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 22:14:13 +0100

vdr (1.6.0-12) unstable; urgency=low

  [ Thomas Günther ]
  * Upgraded make-special-vdr.sh to version 1.3

  [ Tobias Grimm ]
  * Added Italian debconf translation (Closes: #548798)
  * Fixed FTBFS with gcc 4.4 (Closes: #549380)
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Fri, 09 Oct 2009 21:55:31 +0200

vdr (1.6.0-11) unstable; urgency=low

  * Fixed syntax error in runvdr and don't set "-p" anymore, which is only
    supported by Bash (Closes: #536894)
  * Added Russian debconf template provided by Yuri Kozlov (Closes: #536561)

 -- Tobias Grimm <etobi@debian.org>  Tue, 14 Jul 2009 20:55:37 +0200

vdr (1.6.0-10) unstable; urgency=low

  * Upgraded opt-20_liemikuutio.dpatch to version 1.27
  * Updated and renamed opt-40_iptv.dpatch to opt-40_pluginparam.dpatch
  * Added 99_dvb-header-fixes.dpatch as a workaround for the header bugs in
    Linux 2.6.29
  * Fixed debianize-vdrplugin template (dropped patchlevel field in control)
  * Changed section of plugin template to "video"
  * Added Spanish debconf template translation (Closes: #528245)
  * Build-Depend on linux-libc-dev
  * Dropped Kernel 2.4 support in runvdr
  * Updated make-special-vdr.sh
  * New multipatch ABI version 2009-05-03
  * Bumped standards version to 3.8.2

 -- Tobias Grimm <etobi@debian.org>  Fri, 10 Jul 2009 20:24:50 +0200

vdr (1.6.0-9) unstable; urgency=low

  [ Tobias Grimm ]
  * Removed debconf note "VDR needs DVB kernel modules" - DVB modules should
    be part of the standard kernel (at least on i386 and amd64).
  * Fixed debconf to not ask to create /var/lib/video.00 if it already exists
  * Added 19_dvb-api-v5.dpatch for new DVB API version 5 in kernel 2.6.28
    (Closes: #522011, #527664)
  * Updated debian/copryright
  * Added ${misc:Depends} to vdr-plugin-*
  * Changed section of all packages to "video" except vdr-dbg which became
    "debug"
  * Bumped standards version to 3.8.1

  [ Thomas Günther ]
  * Added removal of vdr-dbg.1 to clean target in debian/rules
  * Fixed substitution of 00list in debian/rules
  * Added French language texts to 10_dd-record-option.dpatch (Thx to Michaël
    Nival)
  * Upgraded opt-24_jumpplay.dpatch to version 1.0
  * Added French language texts to opt-38_disableDoubleEpgEntrys.dpatch (Thx to
    Michaël Nival)

 -- Tobias Grimm <etobi@debian.org>  Thu, 02 Apr 2009 14:55:20 +0200

vdr (1.6.0-8) unstable; urgency=low

  * Added 18_vdr-maintenance-1.6.0-2.dpatch (Closes: #485593)
  * Added opt-21_internal-cam-devices.dpatch
  * Added opt-53_dvbsetup.dpatch
  * Added opt-54_deltimeshiftrec.dpatch
  * Replaced libcap-dev build dependency by libcap2-dev | libcap-dev
    (Closes: #492681)
  * Fixed detection of default LANG setting to be used for VDR
  * Updated README.Debian (Closes: #499047)
  * Fixed reference to /usr/share/doc/vdr/README.Debian.gz in /etc/default/vdr
  * Added missing dpatch descriptions
  * Removed Lintian ovverride "shell-script-fails-syntax-check" for
     ./usr/share/vdr-dev/plugin-template/rules

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Nov 2008 14:21:04 +0100

vdr (1.6.0-7) unstable; urgency=medium

  [ Thomas Schmidt ]
  * Fixed bashism in debian/rules (Closes: #491586)

 -- Tobias Grimm <tg@e-tobi.net>  Wed, 27 Aug 2008 19:08:44 +0200

vdr (1.6.0-6) unstable; urgency=medium

  * Removed stdout output from vdrleaktest to /tmp/memleaktest.log,
    create tempfile in debugvdr using mktemp now, to prevent
    possible symlink attacks (Closes: #496421)

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 24 Aug 2008 23:13:44 +0200

vdr (1.6.0-5) unstable; urgency=low

  [ Thomas Schmidt ]
  * Bumped Standards-Version to 3.8.0

  [ Tobias Grimm ]
  * Using "Provides: vdr-abi-1.6.0-debian" now, which plugin packages can depend
    on. This way only plugins compiled for the specified ABI version can be
    installed, allowing us to remove the runtime patch level test.
    (Closes: #489914)
  * Setting VDR_LANG now takes care of /etc/default/locale if available,
    otherwise uses /etc/environment or falls back to "C" (Closes: #490651)

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 16:25:21 +0200

vdr (1.6.0-4) unstable; urgency=high

  [ Tobias Grimm ]
  * Made valgrind a Suggests and check in vdrleaktest, if valgrind exists
    (Closes: #489003)

  [ Thomas Schmidt ]
  * Set urgency to high, because it fixes an rc-bug

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 03 Jul 2008 10:21:17 +0200

vdr (1.6.0-3) unstable; urgency=low

  * Installing the pictures plugin now with vdr-plugin-examples
  * Replaced usage of 'at' with 'nohupc -c "( command )" >/dev/null 2>&1 &'
  * Removed debian/linda

 -- Tobias Grimm <tg@e-tobi.net>  Wed, 18 Jun 2008 00:52:58 +0200

vdr (1.6.0-2) unstable; urgency=low

  [ Tobias Grimm ]
  * Removed makedev dependency (not needed anymore since 1.4.7-2)
    (closes: #477062)
  * Added dependency to at (required by shutdown scripts)
  * Modified 81_Make_config.dpatch to set the default CXXFLAGS and CFLAGS
    required for building VDR and VDR plugins. This was necessary, because newer
    versions of dpkg-buildpackage export CXXFLAGS. Because the upstream's
    Makefile of VDR and VDR plugins usually define the compiler arguments
    as "CXXFLAGS ?=...", these settings are ignored when an environment variable
    CXXFLAGS exists. On non-i386 builds this causes a FTBFS for all plugins,
    because of the missing -fPIC. Plugins, that require special compiler
    arguments, should from now on pass CXXFLAGS as an argument to the make call
    in debian/rules. (closes: #475710)
  * Made Make.config handle DEB_BUILD_OPTIONS=noopt, so all plugins including
    Make.config in their Makefile will inherently support noopt as well
    (see also Debian Policy 3.7.3.0 section 10.1)
  * Added caching to plugin-loader.sh to speed up the initial startup of vdr
    (Patch provided by Michael Burian <michael.burian@sbg.at>)
  * Added 17_vdr-maintenance-1.6.0-1.dpatch
  * Updated opt-20_liemikuutio.dpatch
  * Updated opt-48-x_pin.dpatch
  * Upgraded opt-37-x_menuorg.dpatch to version 0.4.2
  * Upgraded opt-50_graphtft-0.1.dpatch to current version 0.1.7~alpha of the
    GraphTFT plugin (taken from the Zulu Extensions Patch 56) and renamed it
    to opt-50_graphtft.dpatch (deleted old opt-50_graphtft.dpatch)
  * Applied a lot of spelling fixes (Thanks to Michael Nork!)
  * Modified opt-49-x_pvrinput.dpatch: Added CA-Id's 0xA1 and 0xA2, required by
    pvrusb2 as suggested by Christian Jarczyk
  * Using txt2man for manpages that used docbook before
  * Upgraded opt-21_liemikuutio.dpatch to version 1.21
  * Updated opt-48_pin.dpatch
  * Upgraded extensions patch to version 61
  * Upgraded opt-39_noepg.dpatch to the patch taken from the vdr-noepgmenu
    plugin 0.0.6.beta3
  * Added opt-52_hard_link_cutter.dpatch


  [ Thomas Günther ]
  * Upgraded make-special-vdr.sh to version 0.9
  * Upgraded opt-41-x_timer-info.dpatch to version 0.5
  * Improved caching in plugin-loader.sh

  [ Thomas Schmidt ]
  * Added Galician debconf translation (gl.po) from Jacobo Tarrio
    (closes: #482132)

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 21 May 2008 22:03:28 +0200

vdr (1.6.0-1) experimental; urgency=low

  [ Tobias Grimm]
  * New upstream release (closes: #467512)
  * Updated 03_cmdsubmenu.dpatch
  * Updated 09_sort_options.dpatch
  * Upgraded opt-20_liemikuutio.dpatch to version 1.19
  * Updated opt-31-x_reelchannelscan
  * Updated opt-37-x_menuorg.dpatch
  * Updated opt-38_disableDoubleEpgEntrys.dpatch, to avoid sprintf buffer
    overflows
  * Updated opt-41-x_timer-info.dpatch
  * Updated opt-43-x_recordshowfree.dpatch
  * Updated opt-47_sourcecaps
  * Updated opt-48-x_pin.dpatch
  * Applied modification from Michaël Nival to opt-45_yaepg.dpatch that fixes a
    small bug
  * Removed opt-36_CutterQueue.dpatch
  * Removed opt-36_CutterQueue-AutoDelete.dpatch
  * Removed opt-46_dmh-dvd-archive.dpatch
  * Removed opt-46_dvdarchive.dpatch
  * Removed opt-46-x_dmh-dvd-archive-debian.dpatch
  * Removed opt-49_sharelnb.dpatch
  * Adapted 15_dvbplayer.dpatch
  * Added 01_pic2mpg-debian.dpatch
  * Added 99_ncursesw-include.dpatch
  * Added opt-49-x_pvrinput.dpatch
  * Added opt_40-iptv.dpatch
  * Added latest version of pin patch opt-48_pin-0.1.7.dpatch
  * Added installation of the pictures plug-in
  * Line-wrapped dependencies in debian/control
  * COMPAT=5, debhelper (>= 5)
  * Made debianize-vdrplugin create cdbs based plugin packages
  * Using empty directory /usr/lib/vdr/plugins again and adding lintian
    override for "package-contains-empty-directory" warning - VDR
    requires the plugin directory!
  * Added short description to the NAME section of the manpages to fix the
    Lintian manpage-has-bad-whatis-entry warning
  * Removed upgrade code for VDR 1.2.6 from postinst
  * Added some lines of documentation to README.Debian, explaining that
    plug-ins manually copied to /usr/lib/vdr/plugins will only be loaded
    when PLUGIN_CHECK_PATCHLEVEL=no (closes: #426921)
  * Added manpages for vdr-dbg, debugvdr, vdrleaktest, vdrdbg-buildpackage
    and pic2mpg
  * Added support for VDR_CHARSET_OVERRIDE=<CHARSET> in /etc/default/vdr
  * Made vdrleaktest and debugvdr explicitly using bash, because
    commands-loader.sh and plugin-loader.sh contain bashisms
  * Instead of setting VFAT=1 at compile time, introduced a new
    configuration option in /etc/default/vdr (using VDR's
    --vfat option), so that the VFAT support can be disabled

  [ Thomas Günther ]
  * Adapted 04_newplugin.dpatch
  * Adapted 10_dd-record-option.dpatch
  * Adapted opt-24_jumpplay.dpatch
  * Adapted opt-28_audioindexer.dpatch
  * Updated opt-39_noepg.dpatch
  * Updated opt-44_rotor.dpatch
  * Adapted opt-45_yaepg.dpatch
  * Adapted opt-50_graphtft.dpatch
  * Adapted opt-50_graphtft-0.1.dpatch
  * Adapted opt-51_cuttime.dpatch
  * Removed 02_Makefile-CFGDIR.dpatch
  * Removed 17_epg-conv-iso6937.dpatch
  * Removed opt-27-x_subtitles-ttxtsubs-volumebar-fix.dpatch (now
    integrated in opt-27_subtitles-ttxtsubs.dpatch)
  * Removed opt-40_wareagle-icons.dpatch
  * Added opt-29_syncearly.dpatch and opt-29_syncearly-audioindexer.dpatch
  * Added opt-48_pin-submenu.dpatch
  * Added opt-50_graphtft-0.1.dpatch
  * Replaced opt-27_subtitles-ttxtsubs.dpatch with opt-27_ttxtsubs.dpatch -
    subtitles support now integrated in upstream (closes: #352442)
  * Added gettext to Build-Depends
  * Added libfreetype6-dev and libfontconfig-dev to Build-Depends
  * Replaced libncurses5-dev with libncursesw5-dev in Build-Depends
  * Added ttf-bitstream-vera | ttf-freefont to vdr Recommends
  * Added URL for developer version to debian/watch
  * Upgraded make-special-vdr.sh to version 0.7

  [ Thomas Schmidt ]
  * Added vdr-dbg-package + scripts vdrleaktest, debugvdr and
    vdrdbg-buildpackage from Tobias repository
  * Updated debian/copyright
  * Changed config-loader.sh to get default $LANG from /etc/environment
  * Updated years in debian/copyright

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 24 Mar 2008 18:58:22 +0100

vdr (1.4.7-3) unstable; urgency=low

  [ Tobias Grimm ]
  * Synced optional patches with e-tobi.net version of the VDR package
    - Added opt-50_graphtft-0.1.dpatch
    - Added opt-51_cuttime.dpatch
    - Added opt-39_noepg.dpatch
    - Added opt-32_iptv.dpatch
    - Added opt-43-x_recordshowfree.dpatch
    - Added opt-37-x_menuorg.dpatch
    - Added opt-31-x_reelchannelscan.dpatch
    - Added opt-48-x_pin.dpatch
    - Removed opt-37_submenu.dpatch
    - Updated opt-48_pin.dpatch

  [ Thomas Schmidt ]
  * Do not ignore errors in clean-target
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3
  * Removed menu file, vdr should always be used as daemon
  * Do not include empty directory /usr/lib/vdr/plugins
  * Use ${binary:Version} instead of ${Source-Version} to make package
    binNMUable
  * Converted debian/copyright to UTF-8
  * Removed override for lintian warning menu-command-not-in-package

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 29 Dec 2007 18:06:09 +0100

vdr (1.4.7-2) unstable; urgency=low

  [ Thomas Schmidt ]
  * Removed support for starting vdr without NPTL-support as glibc 2.5 does
    not support this anymore
  * removed creation of dvb-devices in postinst - should be created on every
    system automatically (closes: #428695)

  [ Thomas Günther ]
  * Upgraded make-special-vdr.sh to version 0.6 (xineliboutput,
    burnbackgrounds, debianize-vdrplugin, vompserver)

  [ Tobias Grimm ]
  * Changed copyright file in the new plug-in template to match
    the new debian/copyright schema for VDR packages

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 07 Sep 2007 09:53:59 +0200

vdr (1.4.7-1) unstable; urgency=low

  [ Tobias Grimm ]
  * Added opt-42-x_MainMenuHooks.dpatch
  * Upgraded opt-48_pin.dpatch
  * Updated opt-50_graphtft.dpatch
  * Removed 92_MainMenuHooks.dpatch
  * Removed opt-42-x_extrecmenu.dpatch
  * Upgraded opt-27_subtitles-ttxtsubs to Rolf Ahrenberg's
    vdr-1.4.5-subtitles-0.5.0-and-ttxtsubs-0.0.5.diff.gz (no functional changes,
    just new version numbers)
  * Added Portuguese debconf translations (closes: #415495)
  * Modified 15_dvbplayer.dpatch
  * vdr will no longer be added to the group cdrom by default. This has to be
    done by the plugin, using the vdr-groups.sh script introduced in this
    version
  * Installing svdrpsend in /usr/bin for easier manual access

  [ Thomas Günther ]
  * Removed debug logs in 17_epg-conv-iso6937.dpatch

  [ Thomas Schmidt ]
  * Added vdr-groups.sh script which can be used by plugins which require the
    user vdr to be a member in additional system groups, see README.Debian
    for additional information
  * New upstream release
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control
  * Removed version from build-dependency to dpatch - even Sarge has the
    required version

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 28 May 2007 14:16:19 +0200

vdr (1.4.6-1) experimental; urgency=low

  [ Tobias Grimm ]
  * Set NONPTL=0 by default - since version 1.3.27 VDR should work with the
    Native Posix Threading Library without problems. NONPTL can now be
    enabled for AMD64 systems again, even if this should not be necessary.
  * Added KEYB_TTY_SWITCH option which, when set to "1", makes VDR switch to
    the console specified in KEYB_TTY on startup. Before this version, this
    was the default behaviour when KEYB_TTY was specified. Now it's optional
    and disabled by default.
  * Added opt-50_graphtft.dpatch, required by the graphtft plugin version 0.0.15
  * Replaced "==" in shell scripts with "=" for compatibility reasons
    (reported by Jörg (Kano) Schirottke)
  * Updated debianize-vdrplugin for Debian Etch

  [ Thomas Günther ]
  * Upgraded make-special-vdr.sh to version 0.5 (fixed detection of *.vdr files
    in burn plugin, updated for new vompserver release, updated for new graphtft
    release)
  * Added 17_epg-conv-iso6937.dpatch (convert EPG of UPC Direct / HBO
    from iso6937 to iso8859-2) (closes: #384836)

  [ Thomas Schmidt ]
  * New upstream release

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 10 Mar 2007 16:04:26 +0100

vdr (1.4.5-1) experimental; urgency=low

  [ Tobias Grimm ]
  * Removed Conflicts line from plugin template
  * Added Lintian override to vdr-dev regarding reports about
    /usr/share/vdr-dev/plugin-template/rules not being a valid shell script
  * Added lintian source override for "debian-rules-not-a-makefile"
  * Removed lintian override for menu-command-not-in-package /usr/lib/menu/vdr:2
  * Added the complete list of optional patches from the vdr package at e-tobi.net
    (Ubuntu might want to use them)
  * Fixed shutdown script to not cause at to generate mails when a shutdown is
    scheduled for later retry - fix provided by
    Wolfgang Miller-Reichling <wolfgang@miller-reichling.de>
  * Added a linda override file to source package - at the moment it will not
    be installed by any binary package

  [ Thomas Günther ]
  * Replaced VDRdevel adaptions in debian/rules and plugin-template/rules
    with make-special-vdr.sh
  * Install make-special-vdr.sh into vdr-dev package - plugins can use this to
    build plugin packages for special vdr packages
  * Changed installation directory of patchlevel.sh and dependencies.sh from
    /usr/lib/vdr-dev to /usr/share/vdr-dev

  [ Thomas Schmidt ]
  * New upstream release

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 14 Jan 2007 20:10:35 +0100

vdr (1.4.4-1) unstable; urgency=low

  [ Tobias Grimm ]
  * New upstream release
  * Renamed and updated optional subtitles-ttxtsubs example patch
  * Created symlinks of setup.conf, channels.conf, remote.conf and
    /etc/default/vdr in /etc/vdr/

  [ Thomas Schmidt ]
  * Removed linux-kernel-headers build-dependency, not needed anymore
  * Removed vdr-dev dependency on dvb-dev | linux-kernel-headers
    (Ubuntu Bug #65340)

 -- Thomas Schmidt <tschmidt@debian.org>  Sun,  5 Nov 2006 17:40:44 +0100

vdr (1.4.3-1) unstable; urgency=low

  * New upstream release
    - Added LC_ALL=$VDR_LANG when calling vdr in debian/runvdr

 -- Thomas Schmidt <tschmidt@debian.org>  Tue, 26 Sep 2006 21:14:50 +0200

vdr (1.4.2-1) unstable; urgency=low

  * New upstream release
    - Removed 01_IA64-FTBFS-fix.dpatch
  * Added Tobias Grimm and Thomas Günther to Uploaders

 -- Thomas Schmidt <tschmidt@debian.org>  Tue, 29 Aug 2006 07:57:05 +0200

vdr (1.4.1-1) unstable; urgency=low

  [ Thomas Günther ]
  * Upgraded opt-24_jumpplay-0.8.dpatch to opt-24_jumpplay.dpatch version 0.9

  [ Tobias Grimm ]
  * New upstream release
  * Stripped default SHUTDOWNCMD to "shutdown -h now"
  * SHUTDOWNCMD in vdr-shutdown is now executed detached, so that VDR does not
    block and can cleanly shutdown when receiving SIGTERM
    (Thanks to Hanno Müller for pointing this out!)
  * Increased timeout for stopping the VDR daemon from 5 to 30 seconds, because
    VDR may take pretty long to shut down gracefully
  * Moved some of the default values in vdr.default to the config loader
    and added description to README.Debian
  * Added KEYB_TTY-option which may be overridden in /etc/default/vdr to make
    VDR switch to and accept input from the specified console

  [ Thomas Schmidt ]
  * Using new changelog-format (closes: #343871)
  * debian/runvdr: use LANG=C when starting vdr, to prevent vdr from exiting
    on system which use UTF8 as default locale, this setting is also
    configurable in /etc/default/vdr
  * Added Tobias Grimm, Thomas Günther and myself to debian/copyright
  * Added LSB-Headers and status action to debian/vdr.init
  * Added 16_channels.conf.terr-fix.dpatch to fix the example
    channels.conf.terr
  * Bumped Standards-Version to 3.7.2
  * Do not fail silently in postinst if invoke-rc.d vdr fails

 -- Thomas Schmidt <tschmidt@debian.org>  Tue, 15 Aug 2006 07:49:08 +0200

vdr (1.4.0-2) unstable; urgency=low

  * Thomas Günther <tom@toms-cafe.de>
    - Fixed i18n texts for replay in 10_dd-record-option.dpatch
    - Upgraded 03_cmdsubmenu.dpatch to version 0.7 - fixes FTBFS with G++ 4.1:
      extra qualification (closes: #367360)
    - Upgraded opt-24_jumpplay-0.7.dpatch to opt-24_jumpplay-0.8.dpatch
  * Thomas Schmidt <tschmidt@debian.org>
    - Fixed debian/watch

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sat, 27 May 2006 09:54:14 +0200

vdr (1.4.0-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 30 Apr 2006 14:52:45 +0200

vdr (1.3.48-1) unstable; urgency=low

  * New upstream release
  * Tobias Grimm <tg@e-tobi.net>
    - Call target clean-plugins instead of plugins-clean in debian/rules
  * Thomas Günther <tom@toms-cafe.de>
    - Updated 10_dd-record-option.dpatch
    - Changed dependencies.sh: don't create conflicts with next vdr version
    - Changed plugin-loader.sh: detect api version, too
    - Upgraded 03_cmdsubmenu.dpatch to version 0.6
    - Removed 16_vdr-1.3.46_menuitems.c-fix.dpatch
    - Upgraded opt-24_jumpplay-0.6.dpatch to opt-24_jumpplay-0.7.dpatch
  * Thomas Schmidt <tschmidt@debian.org>
    - Conflict with vdradmin (<< 3.4.3) to force users to upgrade to
      vdradmin-am, because the old vdradmin package which is partly
      incompatible with newer vdr versions

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Tue, 18 Apr 2006 00:53:07 +0200

vdr (1.3.46-1) unstable; urgency=low

  * New upstream release
  * Thomas Günther <tom@toms-cafe.de>
    - Removed 13_vdr_1.3.45_sources.conf-fix.dpatch
    - Removed 16_vdr_1.3.45_diseqc.conf-fix.dpatch
    - Removed 17_replay.dpatch
    - Removed 99_epg-fix.dpatch
    - Added 16_vdr-1.3.46_menuitems.c-fix.dpatch

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun,  9 Apr 2006 17:46:02 +0200

vdr (1.3.45-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Added 13_vdr_1.3.45_sources.conf-fix.dpatch
      + Added 14_cap-memsize.dpatch
      + Added 16_vdr_1.3.45_diseqc.conf-fix.dpatch
      + Updated 11_sortrecordings.dpatch
      + Updated 15_dvbplayer.dpatch
      + Removed 18_vdr-1.3.39-menu-on-control.dpatch
      + Removed 19_vdr-1.3.41-no-title-fix.dpatch
    - Do not build-depend on dvb-dev anymore, this package is just a
      dummy-package for easier woody -> sarge upgrades and will be
      removed from the archive soon

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 26 Mar 2006 18:08:29 +0200

vdr (1.3.41-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Removed 13_epgfix.dpatch
      + Added 99_epg-fix.dpatch
      + Added 19_vdr-1.3.41-no-title-fix.dpatch

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Tue,  7 Feb 2006 22:50:56 +0100

vdr (1.3.40-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Removed 19_vdr-1.3.39-clre-crash-fix.dpatch
      + Removed 20_vdr-1.3.39-schedule-crash-fix.dpatch
      + Removed 21_vdr-1.3.39-keys-fix.dpatch

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Thu, 26 Jan 2006 20:51:50 +0100

vdr (1.3.39-2) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Added 01_IA64-FTBFS-fix - fixes FTBFS of vdr>=1.3.38 on ia64

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Tue, 14 Mar 2006 16:35:14 +0100

vdr (1.3.39-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Updated 06_default_svdrp_port_0.dpatch
      + Updated 09_sort_options.dpatch
      + Removed 18_vdr-1.3.38-root-fix.dpatch
      + Added 18_vdr-1.3.39-menu-on-control.dpatch
      + Added 19_vdr-1.3.39-clre-crash-fix.dpatch
      + Added 20_vdr-1.3.39-schedule-crash-fix.dpatch
      + Added 21_vdr-1.3.39-keys-fix.dpatch
    - Changed init-script to use almost the same start and stop
      functions like ctvdr
  * Thomas Günther <tom@toms-cafe.de>
    - Added option "-g /tmp" to vdr call in debian/vdr.init (necessary
      for image grabbing from vdradmin)

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 22 Jan 2006 11:54:59 +0100

vdr (1.3.38-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Removed 05_set_system_time_as_user.dpatch
      + Updated 06_default_svdrp_port_0.dpatch
      + Removed 07_not_as_root.dpatch
      + Removed 08_security_CAN-2005-0071.dpatch
      + Added 18_vdr-1.3.38-root-fix.dpatch
    - Do not try to install ca.conf, because it is not needed anymore
    - Removed option to set group under which vdr should run from the
      init-script

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun,  8 Jan 2006 20:13:57 +0100

vdr (1.3.37-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Removed 01_Makefile-fPIC-fix.dpatch
      + Updated 03_cmdsubmenu.dpatch
      + Updated 04_newplugin.dpatch
      + Removed 16_recordings.c-fix.dpatch
      + Removed 22_vdr-playerepg.dpatch

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sat, 10 Dec 2005 12:46:15 +0100

vdr (1.3.35-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Removed 16_avoidTrashing.dpatch
      + Removed 18_vdr-1.3.33-recordingsmenu.dpatch
      + Removed 19_vdr-1.3.33-recordingsupdate.dpatch
      + Added 16_recordings.c-fix.dpatch
    - Corrected FSF address in debian/copyright
    - Call dh_installman in binary-indep target in debian/rules, to
      (re-)include 2 missing manpages
    - Changed dependencies.sh to create Depends: like
      vdr (>= current>), vdr (<< current-9999) without using Conflicts: vdr
      (>= current-9999) - many thanks to Adeodato Simó for suggesting this
      (this will hopefully allow vdr+plugins to enter testing without manual
      hinting)

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Tue,  1 Nov 2005 21:43:03 +0100

vdr (1.3.33-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Removed 14_update-resume.dpatch
      + Removed 18_vdr-plugin-sky-fix
    - Added initial Swedish translation (sv.po) of the debconf template
      from Daniel Nylander (closes: #330988)
  * Thomas Günther <tom@toms-cafe.de>
    - Added 18_vdr-1.3.33-recordingsmenu.dpatch
    - Added 19_vdr-1.3.33-recordingsupdate.dpatch
    - Fixed make PLUGINS/lib in debian/rules
  * Tobias Grimm <tg@e-tobi.net>
    - Removed formatting spaces from substvars generated by
      dpendencies.sh, because dh_gencontrol does not like it

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Mon,  3 Oct 2005 13:26:46 +0200

vdr (1.3.32-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Added 18_vdr-plugin-sky-fix.dpatch
      + Updated 10_dd-record-option.dpatch
      + Removed 18_vdr-1.3.31-remuxbraces.dpatch
      + Removed 19_vdr-1.3.31-remux.dpatch
      + Removed 20_vdr-1.3.31-sequence-end-code5.dpatch
      + Removed 21_vdr-1.3.31-skipframes.dpatch

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 11 Sep 2005 17:58:47 +0200

vdr (1.3.31-3) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Updated 01_Makefile-fPIC-fix.dpatch again, added -fPIC to the Makefile
      of the skincurses plugin
    - Build-Depend on libncurses5-dev, so the skincurses plugin gets compiled
    - Install the plugins svccli, svcsvr, skincurses and svdrpdemo into the
      vdr-plugin-examples package
    - Modified the init-script to not exit silently if vdr is disabled in
      /etc/default/vdr (which is the default), instead of this showing a small
      note how to enable the daemon
    - Do not try to call vdr with LD_ASSUME_KERNEL=2.4.1 in plugins-loader.sh
      on amd64 (many thanks to Sören Köpping for reporting the problem and
      sending a patch) (closes: #326866)
  * Thomas Günther <tom@toms-cafe.de>
    - Fixed vdr call with LD_ASSUME_KERNEL=2.4.1 in plugins-loader.sh
    - Adapted debian/plugin-loader.sh to example plugins
    - Fixed patchlevel substitution for architecture-independent packages
    - Removed unnecessary debian/vdr-dev.dirs and unnecessary entries from
      debian/vdr.dirs

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Tue,  6 Sep 2005 14:19:43 +0200

vdr (1.3.31-2) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Updated 01_Makefile-fPIC-fix.dpatch, added -fPIC to the Makefiles
      of the new example plugins to fix the FTBFS on some architectures

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Fri,  2 Sep 2005 23:26:47 +0200

vdr (1.3.31-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
    - Use --background when calling start-stop-daemon in the init-script
    - Added 16_avoidTrashing.dpatch, which prevents vdr from trashing the
      file system buffers when reading/writing recordings
    - Added 18_vdr-1.3.31-remuxbraces - Fixes some gcc4 warning messages
    - Added 19_vdr-1.3.31-remux - Fixes a bug in cVideo/AudioRepacker::Repack()
    - Added 20_vdr-1.3.31-sequence-end-code5 - Fixes a problem with appending
      a sequence end code when moving cutting marks in radio recordings
    - Added 21_vdr-1.3.31-skipframes - Fixes a problem with skipping frames
      when moving cutting marks in radio recordings
    - Added dependencies.sh to vdr-dev to automatically fill in the right
      Depends and Conflicts to vdr when building a plugin
    - Cleaned up debian/rules and synced as far as possible with the version
      from Tobias inofficial vdr package and changed a few things as suggested
      by Thomas Günther
  * Tobias Grimm <tg@e-tobi.net>
    - Made debian/patchlevel.sh accept opt-entries in 00list with leading
      spaces and removed leading space from vdr-patchlevel output
  * Thomas Günther <tom@toms-cafe.de>
    - Made debian/plugin-template/rules svn-buildpackage-save
    - Updated 15_dvbplayer.dpatch
    - Added 22_vdr-playerepg.dpatch - Fixes mp3 plugin problems
    - Made debian/plugin-template/control and debian/plugin-template/rules
      compatible with dependencies.sh and new patchlevel.sh

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Fri,  2 Sep 2005 17:14:02 +0200

vdr (1.3.30-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Should fix the FTBFS on several arches (closes: #324082)
    - Added 11_sortrecordings.dpatch, to allow changing the sort-order
      of the recordings

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sat, 27 Aug 2005 19:34:47 +0200

vdr (1.3.29-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
  * Thomas Günther <tom@toms-cafe.de>
    - Improved newplugin script
    - Updated opt-24_jumpplay-0.6.dpatch
    - Added 13_epgfix.dpatch to force saving of EPG data on exit

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Mon, 15 Aug 2005 17:31:44 +0200

vdr (1.3.28-2) unstable; urgency=low

  * Tobias Grimm <tg@e-tobi.net>
    - Added osdbase-maxitems patch, which fixes a problem with the Enigma skin

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 14 Aug 2005 14:33:39 +0200

vdr (1.3.28-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Removed 13_remote.dpatch
      + Removed 16_dvbspu.dpatch
      + Updated 10_dd-record-option.dpatch
      + Updated 15_dvbplayer.dpatch
    - vdr-dev: depend on ${misc:Depends}, debhelper,
      dvb-dev (>= 1.0.0) | linux-kernel-headers (>=2.5.999-test7-bk-6)
    - vdr-dev: suggests dh-make
  * Tobias Grimm <tg@e-tobi.net>
    - Extract patch infos and install to /usr/share/doc/vdr/patchinfo
    - Renamed 01_vdr_1.2.6-3.1.diff.gz to 01_Makefile-fPIC-fix

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Tue,  9 Aug 2005 20:45:37 +0200

vdr (1.3.27-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Removed 12_nptl.dpatch
      + Removed 18_vdr-1.3.26-pagedown-fix.dpatch
    - The new upstream version seems to compile fine with gcc-4.0
      (closes: #294041)
    - Added 10_dd-record-option.dpatch - allows to choose if to record
      or to replay Dolby Digital independently
    - Updated 03_cmdsubmenu.dpatch and opt-24_jumpplay-0.6.dpatch to the
      versions from vdrdevel
    - Now using debian/watch from vdrdevel
    - Bumped Standards-Version to 3.6.2
  * Tobias Grimm <tg@e-tobi.net>
    - Added installation of README.vps and README.developer
    - Fixed parameter passing in vdr-shutdown
    - Fixed package description
    - Replaced some tabs with spaces and fixed indentation
    - Took over commands-loader.sh from vdrdevel
    - Added ${shlibs:Depends}

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Wed, 29 Jun 2005 15:49:58 +0200

vdr (1.3.26-1) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Added 18_vdr-1.3.26-pagedown-fix.dpatch

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 12 Jun 2005 16:52:15 +0200

vdr (1.3.25-1) experimental; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Updated 05_set_system_time_as_user.dpatch
    - Create device files silently

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Tue, 31 May 2005 14:06:49 +0200

vdr (1.3.24-1) experimental; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Removed 10_livelock.dpatch
      + Removed 11_memleak.dpatch
      + Updated 15_dvbplayer.dpatch

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Mon,  9 May 2005 15:47:50 +0200

vdr (1.3.23-1) experimental; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - New upstream release
      + Removed 01_gcc3.4-FTBFS-fix.dpatch
      + Removed 09_amd64_epg.dpatch
      + Removed opt-23_osdpip-0.0.3.dpatch
      + Removed opt-20_elchiaio4d+1.dpatch
      + Removed opt-22_8bitcolor.dpatch
      + Updated jumpplay patch to version 0.6
    - Use LD_ASSUME_KERNEL=2.4.1 when calling vdr in plugins-loader.sh
    - Changes suggested by Thomas Günther <tom@toms-cafe.de>
      + debian/watch: Updated to show the newest developer versions
      + Install PLUGINS.html in vdr-dev only
      + Install libsi header files in package vdr-dev
      + Added XB-VDR-Patchlevel-field in debian/control to vdr-dev too
      + Changed a few typos in README.Debian
      + Added commands.update-recordings.conf from vdrdevel to have a
        command for updating the recordings list manually
      + Added "Blue LCARS" and "Cool" themes from vdrdevel
      + Added update-resume patch from vdrdevel (updates the resume
        status of recordings after replaying them)
  * Tobias Grimm <tg@e-tobi.net>
    - Don't restrict root capabilities with --allow-root anymore
    - Passing $OPTIONS to binary compatibility test in plugin loader now
  * Darren Salt <linux@youmustbejoking.demon.co.uk>
    - Added patches:
      + 09_sort_options: extra channel sort options
      + 10_livelock: don't hang when jumping between editing marks
      + 11_memleak: fix two small memory leaks
      + 12_nptl: don't abort if NPTL is in use
      + 15_dvbplayer: send proper I-frames [Reinhard Nissl]
      + 16_dvbspu: fix some SPU bugs [Reinhard Nissl]
      + 17_replay: improve end-of-recording handling [Reinhard Nissl]
    - Replaced the ttxtsubs patch with a combined subtitles+ttxtsubs patch.

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Wed, 04 May 2005 17:17:55 +0200

vdr (1.2.6-13) unstable; urgency=medium

  * Darren Salt <linux@youmustbejoking.demon.co.uk>
    - Make the usage of NPTL configurable in /etc/default/vdr
    - Disable the usage of NPTL on amd64 in runvdr (this always
      overrides  the setting in /etc/default/vdr) (closes: #305098)
  * Thomas Schmidt <tschmidt@debian.org>
    - Added psmisc to the depends of the package vdr (thanks to Martin
      Langer <martin-langer@gmx.de> for the hint)

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Thu, 05 May 2005 21:47:56 +0200

vdr (1.2.6-12) unstable; urgency=low

  * Tobias Grimm <tg@e-tobi.net>
    - Don't restrict root capabilities with --allow-root anymore
    - Passing $OPTIONS to binary compatibility test in plugin loader now
  * Thomas Schmidt <tschmidt@debian.org>
    - Add "Provides: vdr-daemon, vdr-kbd, vdr-lirc, vdr-rcu" to package
      vdr to ensure smooth upgrades

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 10 Apr 2005 17:00:24 +0200

vdr (1.2.6-11) unstable; urgency=low

  * Tobias Grimm <tg@e-tobi.net>
    - Modified not-as-root-patch to allow to start VDR as root anyway, if the
      option --allow-root is given

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sat, 09 Apr 2005 22:29:02 +0200

vdr (1.2.6-10) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Added patch for the EPG handling under amd64 (closes: #300702)
    - Check for existance of /usr/sbin/runvdr before sourcing the
      config-loader.sh script (closes: #302826)
    - Fixed small typos in the package descriptions of vdr and
      vdr-dev (closes: #300042, #300074)
    - Add user vdr to group cdrom in postinst, so that vdr is able to
      play DVDs with the dvd-plugin again

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sat, 09 Apr 2005 18:32:59 +0200

vdr (1.2.6-9) experimental; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Change owner of /proc/{av7110_ir,budget_ci_ir} to the uid and
      gid under which vdr will run in /usr/sbin/runvdr
      (closes: #297640)
    - Added 13_remote.dpatch from Darren Salt, this allows to have
      just 1 binary for all 4 possible control methods, and it should
      reduce build-time by about 75%
    - Removed packages vdr-daemon, vdr-kbd, vdr-lirc, vdr-rcu because
      they are not necessary anymore
    - Added "Conflicts and Replaces: vdr-daemon, vdr-kbd, vdr-lirc,
      vdr-rcu" to debian/control
    - Removed Andreas Müller from uploaders - he does not intend
      to do uploads anymore

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sat, 12 Mar 2005 20:05:06 +0100

vdr (1.2.6-8) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Removed patch which fixes the compilation with gcc-4.0 on
      amd64 as it causes vdr to crash, will have to investigate
      this further, before the patch can be re-added
      (closes: #295838)

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sat, 19 Feb 2005 15:17:38 +0100

vdr (1.2.6-7) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - This is the first upload of vdr, i can do by myself, i want
      to thank Andreas Müller (amu) and Christoph Martin (chrism)
      for their help with sponsoring previous uploads
    - Only try to change capabilities when vdr is called by root
      (closes: #293042)
    - Added patch from Andreas Jochens to fix the FTBFS on amd64
      with gcc-4.0 (closes: #294041)
    - Changed my email-address to the new debian one
    - Make an entry in syslog when someone tries to shutdown vdr
      while the automatic shutdown is disabled

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Wed, 09 Feb 2005 12:41:49 +0100

vdr (1.2.6-6) unstable; urgency=high

  * Urgency high because it includes a fix for CAN-2005-0071
  * Thomas Günther <tom@toms-cafe.de>
    - new (optional) plugin check (with "vdr -V -P plugin")
    - Extracted patchlevel code to patchlevel.sh
    - Installing patchlevel.sh into vdr-dev package
  * Tobias Grimm <tg@e-tobi.net>
    - fixed small bug in vdr-recordingaction
    - moved PLUGIN_DIR, PLUGIN_PREFIX, CFG_DIR, PLUGIN_CFG_DIR,
      PLUGIN_ORDER_FILE, CMDHOOKSDIR, REC_CMD from the default file to
      the init script
    - fixed bug in shutdown script (OSD messages have to be deferred until
      the shutdown script is finished)
    - removed PLUGIN_ORDER_FILE paramter, order.conf should always be in
      PLUGIN_CFG_DIR
    - set default location for epg.data to /var/cache/vdr (vdr -E)
    - The default command to shutdown the system when the power-off-key of the
      remote is pressed, can now be configured in /etc/default/vdr.
    - When processing the shutdown hooks, no further hook scripts will be
      processed, if one script requests to delay the shutdown.
    - Extracted loading of VDR daemon config options to separate file for
      later reuse by other start scripts
    - Fixed warning message in generated commands.conf and reccmds.conf
  * Thomas Schmidt <thomas.schmidt@in.stud.tu-ilmenau.de>
    - Do not run as user root anymore, the user vdr will be created
      and the video-directory and config-files will be changed, so the
      owner/group is vdr:vdr (closes: #287899)
    - Added 07_not_as_root.dpatch - vdr exists when it should run as
      user or with group-id root (adapted from Darren Salt's patch
      for vdr 1.3.x)
    - Added 08_security_CAN-2005-0071.dpatch - do not overwrite
      existing files with the GRAB-Command anymore (CAN-2005-0071)
    - Set default port for SVDRP to 0, users who run vdr from the
      commandline will have to enable it by using the --port option
      (in the init-script SVDRP will still be enabled and on the default
      port 2001)
    - Added vdr-shutdown.wrapper with owner/group root:vdr and mode 6750,
      which calls the normal vdr-shutdown-script so that the user vdr is
      able to run vdr's shutdown-hooks
    - The automatic shutdown is now disabled by default, to enable it
      again you have to change ENABLE_SHUTDOWN=0 to 1 in /etc/default/vdr
    - Changed package vdr to Architecture: any, because it now contains
      a binary file
    - Added patch from Ludwig Nussel to be able to synchronize the system-
      time via DVB, even when vdr runs as user
    - Build-depend on libcap-dev
    - Package vdr: depend on adduser
    - Remove some files under /var/lib/vdr and /var/cache/vdr in postrm
      on purge (closes: #287914)
    - Added german (de.po) debconf-translation from Jens Nachtigall
      <nachtigall@web.de> (closes: #273643)
    - Added a note to the package description and README.Debian that vdr
      (without special plugins) requires a DVB-Card with an mpeg-decoder
      (Closes: #287428)
    - Improved runvdr-script: when no loaded dvb-modules were found,
      try to load the module dvb (could be an alias for the real
      dvb-module)
    - Added XB-VDR-Patchlevel-field in debian/control to vdr-plugin-sky
      and vdr-plugin-examples
    - Build-depend on dpatch (>= 2.0.9)
    - Converted existing dpatch-files to the new short format
    - Added newplugin-script as vdr-newplugin to vdr-dev, so
      plugin-developers can initialize a new plugin-directory without a
      normal vdr-source-tree
    - Added debianize-vdrplugin-script and the plugin-template-dir from
      c't-vdr
    - Added lintian-override to avoid the lintian-warnings for the
      plugin-template-scripts
    - Default VIDEO_DIR is now /var/lib/video.00, so new harddisks can
      be added very easy by mounting them to /var/lib/video.0{1,2,...}
      (if the old directory /var/lib/video exists, create
      /var/lib/video.00 as symlink to the old directory, if it does
      not exist, /var/lib/video will be a symlink to /var/lib/video.00)
    - Removed unnecessary debconf-question about creating the dvb
      devices, they will now be created without any question when they
      are not existing already
    - Removed libncurses5-dev from Build-Depends

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Wed, 19 Jan 2005 00:12:03 +0100

vdr (1.2.6-5) unstable; urgency=low

  * Tobias Grimm <tg@e-tobi.net>
    - fixed Bug in vdr-shutdown script - osd messages have to be send detached
    - added patchlevel check in vdr.init - only plugins that have been compiled
      with the same patch levels will be loaded, to avoid conflicts due to
      binary incompatibility.
    - removed dh_shlibdeps and $shlibs:Depends from binary independent target
    - extracted common patch code from dpatch files
    - added patchlevel generation
    - added patchlevel checking when loading plugins - it's enabled in
      /etc/default by setting PLUGIN_CHECK_PATCHLEVEL="yes"
    - added ElchiAio4d as optional patch (see README.Debian)
    - added ttxtsubs-patch as optional patch
    - added 8-bit-color-patch as optional patch
    - added osdpip-patch as optional patch
    - added jumpplay-patch as optional patch
    - an entry in the (commands|reccmds).order.conf can now be disabled by
      prepending a "-", just like this is done in the plugins.order.conf too
  * Thomas Schmidt <thomas.schmidt@in.stud.tu-ilmenau.de>
    - It is not possible anymore to start more than one instance of vdr
      with the init-script
    - Changed runvdr-script as suggested by Nikolaus Regnat (Closes: #258412)
    - Fix spelling error in vdr.postinst (Closes: #258615)
    - Changed Maintainer to Debian VDR and DVB Packaging team
      <pkg-vdr-dvb-devel@lists.alioth.debian.org>
    - List Andreas Mueller <amu@tr.debian.net> as Uploader
    - Added patch from Andreas Jochens <aj@andaco.de> to fix FTBFS with
      gcc 3.4 (Closes: #262744)
    - Changed $PLUGIN_CFG_DIR in /etc/default/vdr, to /etc/vdr/plugins
      (Closes: #264071)
    - Changed package-description of vdr-plugin-examples a little bit

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 08 Aug 2004 19:48:33 +0200

vdr (1.2.6-4) unstable; urgency=low

  * First release from the VDR and DVB Packaging team
    (pkg-vdr-dvb-devel@lists.alioth.debian.org)

  * Thomas Schmidt
    - Acknowledge NMU (Closes: #238395)
    - Use dpatch, so build-depend on dpatch
    - Build-Depend on: dvb-dev | linux-kernel-headers
    - Separate plugins from the vdr-package (new packages:
      vdr-plugin-examples and vdr-plugin-sky)
    - Change architecture of package vdr to all - it does not
      contain any architecture-dependent files anymore
    - Cleaned up some parts to avoid lintian warnings and errors
    - Use makedev for device-generation in postinst, therefore
      depend on makedev
    - Removed build-dep to g++
    - Added LD_ASSUME_KERNEL=2.4 in runvdr, to be able to run vdr
      under 2.6 without problems
    - New cfg-dir /var/lib/vdr, link static cfg-files from /etc/vdr to
      /var/lib/vdr, install channels.conf in postinst to /var/lib/vdr,
      move non-static cfg-files to /var/lib/vdr in postinst
    - Add an option to vdr, to specify the cfg-dir at build-time,
      and set this to /var/lib/vdr (Closes: Bug#233647)
    - Selection of vdr-binary now handled by update-alternatives
    - Changed runvdr, to quote plugin-options correct (Closes: Bug#239619)
    - Applied patch from Emmanuel le Chevoir (Closes: Bug#238713)
    - Updated debconf-translations:
      + French (fr.po) by Emmanuel le Chevoir
      + Czech (cs.po) by Miroslav Kure
      + Dutch (nl.po) by Luk Claes
    - Added myself as uploader
    - Added correct watch-file
    - Added manpage for runvdr

  * Tobias Grimm <vdr@e-tobi.net>
    - added automatic loading of plugins in init script from c't vdr
      (see README.Debian)
    - added dynamic generation of reccmds.conf and commands.conf from c't vdr
      (see README.Debian)
    - added recording hooks as used in c't vdr (see README.Debian)
    - added cmd_submenus patch with improvements by Thomas Günther
    - added shutdown hooks as used in c't vdr (see README.Debian)

 -- Thomas Schmidt <thomas.schmidt@in.stud.tu-ilmenau.de>  Sat, 24 Apr 2004 12:04:41 +0200

vdr (1.2.6-3.1) unstable; urgency=low

  * Non-Maintainer-Upload during Bug-Squashing-Party.
  * Applied patch by Lamont Jones to build all shared libraries
    with -fPIC. (Closes: #238395)

 -- Michael Banck <mbanck@debian.org>  Sun, 18 Apr 2004 13:49:48 +0200

vdr (1.2.6-3) unstable; urgency=low

  * Moved /video to /var/lib/video now we should FHS conform
    Thx to Noel Koethe. (Closes: #234429)
  * changed control to arch any/all for buildd.d.o

 -- Andreas Mueller <amu@tr.debian.net>  Sat, 13 Mar 2004 02:27:00 +0100

vdr (1.2.6-2) unstable; urgency=low

  * Thx to Nikolaus Regnat
  * Corrected runvdr script dvb module detection. (Closes: #233520)
  * Switched to gettext-based debconf templates (Thx to Martin Quinson). (Closes: #233107)
  * Improved debconf question texts.
  * Fixed vdr.postinst script so that channels.conf is no longer overwritten.
    (Closes: #233646)
  * Fixed bug in vdr.postinst script which prevented package upgrade.
  * Adapted debian/rules to use upstream make plugin/plugin-clean targets. (Closes: #233630)

 -- Andreas Mueller <amu@tr.debian.net>  Wed, 18 Feb 2004 17:08:34 +0100

vdr (1.2.6-1) unstable; urgency=low

  * Thx to Nikolaus Regnat
  * New upstream release.
  * Corrected plugin installation. Plugin libs do now reside in
    /usr/lib/vdr/plugins. (Closes: #227074)
  * Install needed configuration files in /etc/vdr.
  * Changed (in /etc/default/vdr) CFG_DIR="/etc/vdr". (Closes: #227084)
  * Added debconf info about needed kernel-modules.
  * Added debconf question to select dvb card type.
  * Added debconf question to create /video filesystem.
  * Added debconf question to create dvb device nodes.
  * Declared ca.conf, diseqc.conf, keymacros.conf, sources.conf and
    svdrphosts.conf as conffiles.
  * Added lirc dependency to vdr-lirc.
  * Removed loading of hello plugin (in /etc/default/vdr) as it is useless.
  * Modified runvdr script to accept lsmod output of module-init-tools (kernel
    2.6). (Closes: #227059)
  * Used the --port=0 option (in /etc/default/vdr) to disable SVDRP port.
  * Accepted various suggestion on packaging improvement (Closes: #227084)

 -- Andreas Mueller <amu@tr.debian.net>  Sat, 10 Jan 2004 15:25:27 +0100

vdr (1.2.5-3) unstable; urgency=low

  * moved plugins-dir to /usr/lib/vdr

 -- Andreas Mueller <amu@tr.debian.net>  Mon,  21 Sep 2003 19:23:12 +0200

vdr (1.2.5-2) unstable; urgency=low

  * vdr_1.2.5-1.dsc: invalid 'Build-Depends' field produced by a broken
    version of dpkg-dev (1.10.11). Now build with 1.10.13

 -- Andreas Mueller <amu@tr.debian.net>  Tue,  18 Sep 2003 01:10:47 +0200


vdr (1.2.5-1) unstable; urgency=low

  * new upstream build
  * Moved to Standards-Version: 3.6.1

 -- Andreas Mueller <amu@tr.debian.net>  Tue,  17 Sep 2003 22:12:38 +0200


vdr (1.2.2-1) unstable; urgency=low

  * new upstream build
    (closes: Bug#195951)

 -- Andreas Mueller <amu@tr.debian.net>  Tue,  9 Sep 2003 11:27:00 +0200

vdr (1.0.4-3) unstable; urgency=low

  * some cosmetic things ( ex. autobuilder )
  * added autobuilder support

 -- Andreas Mueller <amu@tr.debian.net>  Mon,  10 Mar 2003 11:27:00 +0100

vdr (1.0.4-2) unstable; urgency=low

  * took package from Eduard/QA
    (closes: Bug#134645)
    (closes: Bug#158158)

 -- Andreas Mueller <amu@tr.debian.net>  Sat,  4 Jan 2003 16:27:00 +0100

vdr (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat,  3 Aug 2002 12:22:20 +0200

vdr (1.0.0-1) unstable; urgency=medium

  * New upstream (stable) release
  * removed manpages hocus-pocus and forced to use new version to avoid
    trashing of vdr.1. Closes: #142809
  * removed kvdr references, it is broken anyways

 -- Eduard Bloch <blade@debian.org>  Sun,  7 Apr 2002 23:43:41 +0200

vdr (0.98+1.0.0pre5-1) unstable; urgency=high

  * New upstream (pre)release, closes: #141035
  * Urgency high, since the Woody version is already broken since the new
    drivers entered it recently
  * incompatible with kvdr, set Conflicts:
  * Changed the build-system to DBS like
  * Added the tools pack from Upstream's web location and the FORMATS file
  * Not including the DVD patch, too unstable.

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Apr 2002 12:10:31 +0200

vdr (0.98-2) unstable; urgency=medium

  * Disabled SVDRP port as-default and noted in README.Debian.
    Better secure than warned and less secure. Closes: #117193
  * added more Build-Depends, closes: #123701
  * now conflicting with previous kvdr version and recommending the new since
    kvdr would break starting vdr-daemon without port specification.

 -- Eduard Bloch <blade@debian.org>  Thu, 13 Dec 2001 00:58:01 +0100

vdr (0.98-1) unstable; urgency=low

  * New upstream release
  * fixed spelling errors

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Nov 2001 09:56:49 +0100

vdr (0.96-4) unstable; urgency=low

  * improved Description, thanks to Joey and Alfie
  * included README and other scripts, maybe useful

 -- Eduard Bloch <blade@debian.org>  Thu, 11 Oct 2001 12:56:42 +0200

vdr (0.96-3) unstable; urgency=high

  * all versions except of -daemon disable the control port by default
    (possible security hole). Debconf warning for -daemon.
  * package splitted
  * building additional vdr-daemon binary, needed for kvdr
  * fixed postinst files, there were too much copy&paste work :(

 -- Eduard Bloch <blade@debian.org>  Mon,  8 Oct 2001 13:21:31 +0200

vdr (0.96-2) unstable; urgency=low

  * enabled DVD support after helping Brian to fix libdvdread packages

 -- Eduard Bloch <blade@debian.org>  Sun,  7 Oct 2001 16:27:53 +0200

vdr (0.96-1) unstable; urgency=low

  * New upstream release
  * removed upx stuff
  * no DVD support until the libdvdread2 package is ready

 -- Eduard Bloch <blade@debian.org>  Tue,  2 Oct 2001 02:24:51 +0200

vdr (0.95-1) unstable; urgency=low

  * Initial Release, closes: #113106
  * Made a little hack to create the channel.conf template from Debian examples

 -- Eduard Bloch <blade@debian.org>  Sat, 22 Sep 2001 03:16:11 +0200
